<bugID>1352764<Summary>When switching to a tab with permission panel, the panel performs distracting animation and hides immediately</Summary><Description>User Agent 	Mozilla/5.0 (Windows NT 6.1; WOW64; rv:55.0) Gecko/20100101 Firefox/55.0

I have a problem with Firefox Beta 53. It also happens in Nightly 55. Doesn't happen in Beta 52, ESR 45.
Sometimes when switching to a tab with permission panel, the panel shows up with animation, and immediately closes.
Here's a ways to reproduce the bug:

1. Open https://permission.site/ in the last tab, click button "Location" on the page
2. Type anything in location bar
3. Open new tab by Ctrl+T, switch to the tab with https://permission.site/
4. Switch to already opened new tab, then quickly switch to the tab with https://permission.site/

Result: Permission panel performs distracting animation (shows up in a fancy way) and then immediately hides.
Expected: No distracting animation.

Last step says "quickly", because it's the most reliable way to reproduce. Normally, if I left a tab with permissions by switching to "New tab", then switch to another tab, there's 25% chance that when I go back to the tab with permissions, it'll show me animation of permissions panel (as described above).
Probably related bug: Bug 1349453.</Description></bugID>